import config from '@config/index.js';
import { formatContinueDots, getLabelIndex, fullfillText, getIds, resetTagtype, handleLocalDelTag, shiftLocalDelTag } from '@utils/tools';
import { Notify } from '@commonComp';


//文本模式下值保存
export const setTextModeValue = (state, action) => {
  const res = Object.assign({}, state);
  res.saveText[0] = action.text;
  return res;
};

// 引用回显数据 
export function reMarriageData(state, action) {
  let res = Object.assign({}, state);
  res.saveText = JSON.parse(action.params[5].content);
  return res;
}